﻿<script src="https://api-maps.yandex.ru/2.1/?lang=ru_RU&amp;apikey=ff4b1f43-996b-4bf7-b07c-045922e37c89" type="text/javascript"></script>
<script src="multiroute_driving.js" type="text/javascript"></script>
<style type="text/css">
    div.questionBlock {
        display: none;
    }
</style>
<script type="text/javascript">
    var answer;
</script>
<style>
    #map {
        width: 89%;
        height: 100%;
        right: 0
    }

    #zat {
        background: rgba(102,102,102,0.5);
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        display: none;
    }

    #okno {
        width: 600px;
        height: 90%;
        text-align: center;
        padding: 15px;
        border: 3px solid #C9223D;
        border-radius: 10px;
        color: #C9223D;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        margin: auto;
        background: #fff;
    }

    #zat:target {
        display: block;
    }

    .close {
        display: inline-block;
        border: 1px solid #C9223D;
        color: #C9223D;
        padding: 0 12px;
        margin: 10px;
        text-decoration: none;
        background: #f2f2f2;
        font-size: 14pt;
        cursor: pointer;
    }

        .close:hover {
            background: #e6e6ff
        }
</style>




<div id="okno">
    <h1>Тест по теме: "Цифровые каналы передачи данных"</h1>
    <div class="questionBlock">
        1. Выключаете ли вы свет, когда выходите из комнаты?<br>
        <input type="radio" name=q1 onclick="qa.nowRight = 1">Да<br>
        <input type="radio" name=q1 onclick="qa.nowRight = 0.5">Чаще всего<br>
        <input type="radio" name=q1 onclick="qa.nowRight = 0">Иногда<br>
        <input type="radio" name=q1 onclick="qa.nowRight = 0">Нет<br>
    </div>
    <div class="questionBlock">
        2. Оключаете ли вы электроприборы от сети, когда вы их не используете?<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 1">Да<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0.5">Чаше всего<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0">Иногда<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0">Нет<br>
    </div>
    <div class="questionBlock">
        3. Заменяете ли вы личный автомобиль на велосипед?<br>
        <input type="radio" name=q3 onclick="qa.nowRight = 1">Нет автомобиля | Да<br>
        <input type="radio" name=q3 onclick="qa.nowRight = 0.5">Часто<br>
        <input type="radio" name=q3 onclick="qa.nowRight = 0">Иногда<br>
        <input type="radio" name=q3 onclick="qa.nowRight = 0">Нет<br>
    </div>
    <div class="questionBlock">
        4. Как часто вы используете автомобильный транспорт?<br>
        <input type="radio" name=q4 onclick="qa.nowRight = 1">Не пользую<br>
        <input type="radio" name=q4 onclick="qa.nowRight = 0.5">Иногда<br>
        <input type="radio" name=q4 onclick="qa.nowRight = 0">Часто<br>
        <input type="radio" name=q4 onclick="qa.nowRight = 0">Постоянно<br>
    </div>
    <div class="questionBlock">
        5. Сортируете ли вы мусор?<br>
        <input type="radio" name=q4 onclick="qa.nowRight = 1">Да<br>
        <input type="radio" name=q4 onclick="qa.nowRight = 0.5">Чаще всего<br>
        <input type="radio" name=q4 onclick="qa.nowRight = 0">Иногда<br>
        <input type="radio" name=q4 onclick="qa.nowRight = 0">Нет<br>
    </div>
    <div class="questionBlock">
        6. Покупаете ли вы пластиковые пакеты в магазине?<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0">Да<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0">Чаще всего<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0.5">Иногда<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 1">Нет<br>
    </div>
    <div class="questionBlock">
        7. Принимает ли вы участие в сборе макулатуры?<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 1">Да<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0.5">Чаще всего<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0">Иногда<br>

        <input type="radio" name=q2 onclick="qa.nowRight = 0">Нет<br>
    </div>
    <div class="questionBlock">
        8. Что вы импользуете ванную или душ?<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0">Ванную<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 1">Душ<br>
    </div>
    <div class="questionBlock">
        9. Используете ли вы предметы вторичного использования?<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 1">Да<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0.5">Чаще всего<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0">Иногда<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0">Нет<br>
    </div>
    <div class="questionBlock">
        10. Как часто вы принимаете душ | ванную?<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0">Часто<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0">Иногда<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 0.5">Редко<br>
        <input type="radio" name=q2 onclick="qa.nowRight = 1">Очень редко<br>
    </div>
    <p id="time"> <div id="otv"></div> </p>
    <input type="button" value="Ответить" onclick="qa.nextOrResult()">
    <a href="#" class="close">закрыть</a>
    <script type="text/javascript">
        var qa = new QuestAnalizer();
        function QuestAnalizer() {
            var now = 0, printed = false, rightCount = 1;
            var questionBlocks = document.querySelectorAll("div.questionBlock");
            var allQCount = questionBlocks.length;
            this.nowRight = 0;
            questionBlocks[now].style.display = "block";
            this.nextOrResult = function () {
                if (now >= allQCount - 1) {
                    now++;
                    if (!printed) {
                        questionBlocks[now - 1].style.display = "none"
                        var p = document.createElement("p");
                        p.innerHTML = "Вы набрали " + (rightCount / allQCount * 100).toFixed(0) + "%";
                        document.getElementById("otv").innerHTML = p.innerHTML;
                        printed = true;
                    } else {
                        alert("Ваш результат на экране.");
                    }
                } else {
                    questionBlocks[now].style.display = "none";
                    now++;
                    rightCount += this.nowRight;
                    questionBlocks[now].style.display = "block";
                }
            }
        }

    </script>

</div>

